@echo off
REM **************************************************************************
REM
REM   TiVo Desktop Mp3.dll Source Code and Build Process
REM   Copyright (c) 2003 TiVo Inc.
REM
REM   This library is free software; you can redistribute it and/or modify it
REM   under the terms of the GNU Lesser General Public License as published by
REM   the Free Software Foundation; either version 2.1 of the License, or (at
REM   your option) any later version.
REM
REM   This library is distributed in the hope that it will be useful, but
REM   WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
REM   General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public License
REM   along with this library; if not, write to the Free Software Foundation,
REM   Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.
REM
REM   April 4th, 2003
REM
REM   www.tivo.com
REM
REM   TiVo Inc.
REM   P.O. Box 2160
REM   Alviso, CA 95002
REM
REM **************************************************************************


REM //////////////////////////////////////////////////////////////////////////////////////////////
REM
REM  Clean.bat
REM
REM  Used to erase all temporary and final project output for a "clean build".
REM
REM
REM  Copyright (c) 2001 TiVo Inc., all rights reserved.
REM
REM //////////////////////////////////////////////////////////////////////////////////////////////


REM Check that all of our batch syntax will work.

if not %CMDEXTVERSION% geq 2 (echo Sorry, this batch requires Windows 2000 CMD.EXE! & exit /b 1)

REM Clean up our files.

erase /s /q Obj
erase    /q Bin
erase    /q Src\Module\Mp3\Mp3.mak
erase    /q Src\Common\Build.h

REM If we're being recusively called from our own for loop (below), just quit now.

if "%1"=="Nesting" exit /b


REM Make sure all of our sibling projects have been cleaned up.

for /d %%X in (..\..\*) do if exist %%X\Clean.bat (pushd %%X & call Clean.bat Nesting & popd)

