/******************************************************************************

    TiVo Desktop Mp3.dll Source Code and Build Process
    Copyright (c) 2003 TiVo Inc.

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or (at
    your option) any later version.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.

    April 4th, 2003

    www.tivo.com

    TiVo Inc.
    P.O. Box 2160
    Alviso, CA 95002

******************************************************************************/

#ifndef INCLUDE_GUARD_31956289_F280_4423_9470_FAC5DFC1B323
#define INCLUDE_GUARD_31956289_F280_4423_9470_FAC5DFC1B323

//////////////////////////////////////////////////////////////////////////////////////////////////
//
// DetailsHelpApi.h
//
//
// Copyright (c) 2002 TiVo Inc., all rights reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////////////


#include "TivoApi/Api.h"

#include "Windows.h"


struct DetailsHelpApi: TivoApi::Api
{

    // Returns a string representation of the supplied date suitable for return via an instance
    // of DetailsApi (as the value of the "SourceDate" detail, for example).  Returns NULL if
    // an error occurs.
    //
    // Note that non-NULL return values should eventually be passed to GlobalFree() in order to
    // free the memory used to format the string.

    virtual LPCSTR  TIVO_API_METHOD Details_FormatDate(const FILETIME* date) = 0;

};


#endif // INCLUDE_GUARD
