/******************************************************************************

    TiVo Desktop Mp3.dll Source Code and Build Process
    Copyright (c) 2003 TiVo Inc.

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or (at
    your option) any later version.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.

    April 4th, 2003

    www.tivo.com

    TiVo Inc.
    P.O. Box 2160
    Alviso, CA 95002

******************************************************************************/

#ifndef INCLUDE_GUARD_77FF5C64_F51A_4F59_991A_AE7C8557F7F9
#define INCLUDE_GUARD_77FF5C64_F51A_4F59_991A_AE7C8557F7F9

//////////////////////////////////////////////////////////////////////////////////////////////////
//
// LogApi.h
//
//
// Copyright (c) 2002 TiVo Inc., all rights reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////////////


#include "TivoApi/Api.h"

#include "Windows.h"


//////////////////////////////////////////////////////////////////////////////////////////////////

struct LogApi: TivoApi::Api
{
    virtual void    TIVO_API_METHOD Log_Append
                    (
                        DWORD   severity,
                        LPCSTR  category,
                        LPCSTR  format,
                        ...

                    ) = 0;
};


//////////////////////////////////////////////////////////////////////////////////////////////////

enum LogSeverity
{
    LogInfo,
    LogWarning,
    LogError
};


#endif // INCLUDE_GUARD
