/******************************************************************************

    TiVo Desktop Mp3.dll Source Code and Build Process
    Copyright (c) 2003 TiVo Inc.

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or (at
    your option) any later version.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.

    April 4th, 2003

    www.tivo.com

    TiVo Inc.
    P.O. Box 2160
    Alviso, CA 95002

******************************************************************************/

#ifndef INCLUDE_GUARD_F6C7859D_A57F_4D26_B041_16A0D9AAB1DE
#define INCLUDE_GUARD_F6C7859D_A57F_4D26_B041_16A0D9AAB1DE

//////////////////////////////////////////////////////////////////////////////////////////////////
//
// Product.h
//
//  Defines VERSIONINFO values common to all Calypso targets.
//
//
// Copyright (c) 2002-2003 TiVo Inc., all rights reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////////////


#include "Common/Build.h"


// Define some standard, product-wide values.

#define PRODUCT_MAJOR       1
#define PRODUCT_MINOR       0

#define PRODUCT_RELEASE     (P4SYNCVER / 10000)
#define PRODUCT_BUILD       (P4SYNCVER % 10000)

#define PRODUCT_NAME        "TiVo Desktop"

#define LEGAL_COPYRIGHT     "Copyright  2003 TiVo Inc."
#define LEGAL_TRADEMARKS    "TiVo and TiVo Desktop are trademarks of TiVo Inc."

#define COMPANY_NAME        "TiVo Inc."


// Define a set of TiVo-specific values, based on the current build.

#define CUSTOM_STRINGS      CUSTOM_STRING("Build Description", BUILD_DESCRIPTION) \
                            CUSTOM_STRING("Last Change", P4SYNCVER_STR)


#endif // INCLUDE_GUARD
