/******************************************************************************

    TiVo Desktop Mp3.dll Source Code and Build Process
    Copyright (c) 2003 TiVo Inc.

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or (at
    your option) any later version.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.

    April 4th, 2003

    www.tivo.com

    TiVo Inc.
    P.O. Box 2160
    Alviso, CA 95002

******************************************************************************/

#ifndef INCLUDE_GUARD_9554772A_39DA_44F1_8AE8_D21C4E603539
#define INCLUDE_GUARD_9554772A_39DA_44F1_8AE8_D21C4E603539

//////////////////////////////////////////////////////////////////////////////////////////////////
//
// DataApi.h
//
//
// Copyright (c) 2002 TiVo Inc., all rights reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////////////


#include "TivoApi/Api.h"

#include "Windows.h"


//////////////////////////////////////////////////////////////////////////////////////////////////

struct DataApi: TivoApi::Api
{

    // Returns a pointer to the beginning of the data, or NULL if an error occurs.

    virtual LPCVOID     TIVO_API_METHOD Data_Get() = 0;


    // Returns the size of the data (in bytes), or zero if an error occurs.

    virtual DWORD       TIVO_API_METHOD Data_GetSize() = 0;

};


#endif // INCLUDE_GUARD
