/******************************************************************************

    TiVo Desktop Mp3.dll Source Code and Build Process
    Copyright (c) 2003 TiVo Inc.

    This library is free software; you can redistribute it and/or modify it
    under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 2.1 of the License, or (at
    your option) any later version.

    This library is distributed in the hope that it will be useful, but
    WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
    General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software Foundation,
    Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.

    April 4th, 2003

    www.tivo.com

    TiVo Inc.
    P.O. Box 2160
    Alviso, CA 95002

******************************************************************************/

#ifndef INCLUDE_GUARD_24FF7CDB_9D0D_432E_9A8F_D0372E7DD5DE
#define INCLUDE_GUARD_24FF7CDB_9D0D_432E_9A8F_D0372E7DD5DE

//////////////////////////////////////////////////////////////////////////////////////////////////
//
// RegistryApi.h
//
//
// Copyright (c) 2002 TiVo Inc., all rights reserved.
//
//////////////////////////////////////////////////////////////////////////////////////////////////


#include "TivoApi/Api.h"

#include "Windows.h"


//////////////////////////////////////////////////////////////////////////////////////////////////

struct RegistryApi: TivoApi::Api
{

    // Details

    virtual LPCSTR  TIVO_API_METHOD Registry_GetRootKey() = 0;


    // Operations

    virtual LPCSTR  TIVO_API_METHOD Registry_GetString(LPCSTR name, LPCSTR def_val = NULL) = 0;
    virtual BOOL    TIVO_API_METHOD Registry_SetString(LPCSTR name, LPCSTR new_val) = 0;

    virtual DWORD   TIVO_API_METHOD Registry_GetDword(LPCSTR name, DWORD def_val = 0) = 0;
    virtual BOOL    TIVO_API_METHOD Registry_SetDword(LPCSTR name, DWORD new_val) = 0;

};


#endif // INCLUDE_GUARD
