@echo off
REM **************************************************************************
REM
REM   TiVo Desktop Mp3.dll Source Code and Build Process
REM   Copyright (c) 2003 TiVo Inc.
REM
REM   This library is free software; you can redistribute it and/or modify it
REM   under the terms of the GNU Lesser General Public License as published by
REM   the Free Software Foundation; either version 2.1 of the License, or (at
REM   your option) any later version.
REM
REM   This library is distributed in the hope that it will be useful, but
REM   WITHOUT ANY WARRANTY; without even the implied warranty of
REM   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
REM   General Public License for more details.
REM
REM   You should have received a copy of the GNU Lesser General Public License
REM   along with this library; if not, write to the Free Software Foundation,
REM   Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA.
REM
REM   April 4th, 2003
REM
REM   www.tivo.com
REM
REM   TiVo Inc.
REM   P.O. Box 2160
REM   Alviso, CA 95002
REM
REM **************************************************************************


call MkDirs.bat

echo.
echo Building Id3Lib files...
echo.

make -f src\makefile.borland ROOT=src LIBDIR=Bin OBJBASE=Obj %1 %2 %3 %4

if ERRORLEVEL 1 goto OnError

echo.
echo Delivering include files...

xcopy /s /y src\include Include

echo.
echo Removing unnecessary files from the include tree...
echo.

erase Include\Makefile.*
erase Include\id3\Makefile.*

goto OnSuccess

:OnError

echo.
echo Id3Lib failed to build properly.
echo.

goto OnExit


:OnSuccess
echo.
echo Done building Id3Lib.
echo.

:OnExit

